ngcp-kamailio (6.1.3-1+0~mr26.2.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 11 Aug 2026 14:19:16 +0200

ngcp-kamailio (6.1.3-1+0~mr26.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [c16b26d] New upstream version 6.1.3
  * [1a6e3d3] MT#65646 Remove already applied patches and refresh the rest

  [ Richard Fuchs ]
  * [36f60d8] MT#65392 rtpengine: update MOS/stats hunting

 -- Donat Zenichev <dzenichev@sipwise.com>  Wed, 05 Aug 2026 14:58:00 +0200

ngcp-kamailio (6.1.1-1+0~mr26.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [383626e] MT#63881 tm: use bitwise check for REQ_ERR_DELAYED in t_unref()

  [ Alessio Garzi ]
  * [79e4c11] MT#63881 rename tm_drop_stuck_transaction in tm_drop_stuck_transaction.patch
  * [ec92609] MT#64451 Kamailio memory leak on pv_headers
  * [11d8e16] MT#64451 siputils: validate SIP URI produced by tel2sip and tel2sip2
  * [cae2012] MT#64451 Fix wrong debian/patches/series introduced in 11d8e16180e83f403bae84f63cc0d872e0f49b05
  * [a23d296] MT#64566 Adjust log level in w_dlg_get_var from error to info
  * [431d99b] MT#64566 Adjust log level in Redis dbase from warning to debug

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jun 2026 15:31:21 +0200

ngcp-kamailio (6.1.1-1+0~mr26.1.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [fe5208a] MT#64748 tlsa: move static linking to dynamic for libz
  * [c00fd58] MT#64749 db berkeley: remove fully support of it
  * [8edd837] MT#63868 permissions: while reloading consider if cache is disabled
  * [4f9af53] MT#63868 permissions: consider skipped reload as 200

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Apr 2026 12:56:31 +0200

ngcp-kamailio (6.1.1-1+0~mr14.2.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [928aabc] MT#55283 add "directional" flag to list

  [ Donat Zenichev ]
  * [96d96d9] New upstream version 6.1.1
  * [05583d8] MT#64611 Remove already applied upstream patches and refresh old ones

 -- Donat Zenichev <dzenichev@sipwise.com>  Mon, 09 Mar 2026 15:42:13 +0100

ngcp-kamailio (6.0.5-1+0~mr14.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [743265a] MT#63826 db_redis: revert support of NULL values

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 05 Feb 2026 10:22:12 +0100

ngcp-kamailio (6.0.5-1+0~mr14.1.0.0) unstable; urgency=medium

  * [bde62f6] New upstream version 6.0.5
  * [6a1af6b] MT#62899 Update packaging for Debian trixie
  * [c1876f6] MT#63826 db_redis: add string key length protection
  * [3b93153] MT#64231 Remove already applied upstream patches and refresh old

 -- Donat Zenichev <dzenichev@sipwise.com>  Tue, 13 Jan 2026 10:15:29 +0100

ngcp-kamailio (6.0.3-1+0~mr14.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [fefe519] MT#55283 rtpengine: always set "flags"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:55:26 +0100

ngcp-kamailio (6.0.3-1+0~mr14.0.0.0) unstable; urgency=medium

  * New upstream version 6.0.3

 -- donat <dzenichev@sipwise.com>  Mon, 29 Sep 2025 17:12:25 +0200

ngcp-kamailio (6.0.2-1+0~mr14.0.0.0) unstable; urgency=medium

  [ Fabricio Santolin da Silva ]
  * [9df884d] Revert "MT#63079 Add check for avp name initialization"

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:56 +0200

ngcp-kamailio (6.0.2-1+0~mr13.5.0.0) unstable; urgency=medium

  * MT#55283 enable TLS debugging
  * MT#63079 Add check for avp name initialization
  * New upstream version 6.0.2
  * MT#63077 Remove already applied upstream patches and refresh old ones

 -- donat <dzenichev@sipwise.com>  Mon, 07 Jul 2025 17:35:25 +0200

ngcp-kamailio (6.0.1-1+0~mr13.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [84e2565] MT#62704 fix PARAM_STR vs PARAM_STRING

  [ Victor Seva ]
  * [998899a] MT#62911 permissions: don't allow reloads in the middle of a reload
  * [c970a3b] MT#62845 sca: fix coredump on update

  [ Alessio Garzi ]
  * [77dff8f] MT#62931 Append marking for removal to etag in presentity table

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:43:01 +0200

ngcp-kamailio (6.0.1-1+0~mr13.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [387078e] MT#62337 update PARAM definition for our modules
  * [069eaac] MT#62337 presence_dfks: fix missing definition
  * [2666f63] MT#62041 lcr_rate: coherent use of defined types for avp flags, name and value

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:27:06 +0200

ngcp-kamailio (6.0.1-1+0~mr13.3.0.0) unstable; urgency=medium

  * MT#62041 trixie build: fixes from 'upstream'
  * MT#62023 htable: don't crash on missing htable definition
  * MT#61402 dialog fixes from upstream/master
  * New upstream version 6.0.1
  * MT#62337 remove already applied patches and refresh
  * MT#62337 debian: remove mono package

 -- Victor Seva <vseva@debian.org>  Tue, 11 Mar 2025 10:00:14 +0100

ngcp-kamailio (5.8.5-1+0~mr13.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [e527845] MT#61441 rtpengine: use to-tag for NG message when rtpp-flags

  [ Guillem Jover ]
  * [f17ae9c] MT#61568 debian: Switch to Rules-Requires-Root no

  [ Victor Seva ]
  * [66cbf83] MT#61441 rtpengine: use upstream commit from master
  * [0fc9703] MT#61703 usrloc: avoid shutdown crashes on destroy
  * [23a581e] MT#61651 db_redis: fix build_query_keys logic
  * [4de99b7] MT#61980 New upstream version 5.8.5
  * [c3c1177] MT#61980 remove already applied fixes, and refresh

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2025 11:10:52 +0100

ngcp-kamailio (5.8.4-1+0~mr13.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * MT#61110 cfgutils: allow lock_set_size > 14
  * MT#60205 http_client: support more methods in http_connect()
  * MT#61537 New upstream version 5.8.4
  * MT#61537 refresh patches

  [ Richard Fuchs ]
  * MT#61372 rtpengine: add SIP-code to message

 -- Victor Seva <vseva@debian.org>  Fri, 15 Nov 2024 10:21:07 +0100

ngcp-kamailio (5.8.3-1+0~mr13.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:59:13 +0200

ngcp-kamailio (5.8.3-1+0~mr13.0.0.0) unstable; urgency=medium

  * MT#60281 tls: remove confusing error on startup
  * MT#60394 dialog: be less verbose on error at dlg_get_var()
  * MT#60312 remove mysql warnings
  * MT#58547 lcr_rate: use gw_id field from gw_uri_avp for load_peers()
  * MT#60312 remove pcre2_free() warnings
  * MT#55401 pua and pua_dialoginfo improvements
  * MT#60852 New upstream version 5.8.3
  * MT#60852 remove already applied fixes from 5.8
  * MT#60852 refresh patches

 -- Victor Seva <vseva@debian.org>  Wed, 04 Sep 2024 13:09:39 +0200

ngcp-kamailio (5.8.2-1+0~mr12.5.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * MT#57764 permissions: add func `allow_register_include_port()`
  * MT#57764 permissions: add upstream patch

  [ Victor Seva ]
  * MT#59833 pcre3 => pcre2 migration
  * MT#59738 cfgtutils: expose second optional str for locks
  * MT#59738 cfgtutils: fix optional key initialization
  * MT#60206 dialplan: remove warning
  * New upstream version 5.8.2
  * MT#60312 remove already applied patches

  [ Richard Fuchs ]
  * MT#55283 rtpe: use extract_body with read_sdp_pv

 -- Victor Seva <vseva@debian.org>  Thu, 13 Jun 2024 09:19:15 +0200

ngcp-kamailio (5.8.1-1+0~mr12.4.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * MT#58535 rtpp_flags: add flags processing on the daemon side

  [ Victor Seva ]
  * New upstream version 5.8.1
  * MT#59833 refresh patches

 -- Victor Seva <vseva@debian.org>  Tue, 09 Apr 2024 13:02:04 +0200

ngcp-kamailio (5.7.4-1+0~mr12.3.0.0) unstable; urgency=medium

  * New upstream version 5.7.4
  * MT#59178 remove already applied patches
  * [db24302] MT#58875 include tlsa module on tls package
  * [b50f17c] MT#58722 don't execute timers on shutdown phase
  * [5cce2f8] MT#58875 tls fixes from upstream 5.7 branch
  * [901ea7a] MT#58875 tls fixes from upstream 5.7 branch, take two

 -- Victor Seva <vseva@debian.org>  Thu, 18 Jan 2024 15:03:09 +0100

ngcp-kamailio (5.7.3-1+0~mr12.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [1bd3687] MT#58795 refresh patches
  * [4df060d] MT#58795 fix sipwise/usrloc_dbro_pinger.patch
  * [4d4aa39] MT#58732 http_client timeout_mode

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:36:14 +0100

ngcp-kamailio (5.7.3-1+0~mr12.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * MT#56847 presence: active_watcher cleanup timer
  * MT#58408 pv_headers: don't fallback to Request headers at Replay msg
  * MT#58627 presence_vqr
  * MT#58587 dialog: dlg_get_ttag("<callid>", "<from-tag>", "<pv_dst>")
  * New upstream version 5.7.3

  [ Alessio Garzi ]
  * MT#58613 Add gw_lcr_id param for lcr module
  * MT#58613 revert lcr_stats_flags_as_id.patch

  [ Guillem Jover ]
  * MT#58381 Use short name for GPL-2 in debian/copyright
  * MT#58381 debian: Move license location on Debian systems into a Comment
  * MT#58381 debian: Move common License texts into their own stanza at the end

 -- Victor Seva <vseva@debian.org>  Tue, 21 Nov 2023 09:09:01 +0100

ngcp-kamailio (5.7.2-1+0~mr12.0.1.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * MT#58314 Use gw flags as id

  [ Guillem Jover ]
  * MT#58356 Update packaging for bookworm

  [ Victor Seva ]
  * New upstream version 5.7.2

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:03:43 +0200

ngcp-kamailio (5.7.1-1+0~mr11.5.0.0) unstable; urgency=medium

  * MT#57799 New upstream version 5.7.1
  * MT#57799 refresh patches

 -- Victor Seva <vseva@debian.org>  Mon, 03 Jul 2023 10:34:34 +0200

ngcp-kamailio (5.7.0-1+0~mr11.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [e312576] MT#56571 cfgt: route_log
  * [96ac3dc] MT#57542 pua_dialoginfo: dlg_var fixes

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:09:58 +0200

ngcp-kamailio (5.7.0-1+0~mr11.4.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [c8d2eb7] MT#56490 lcr: stats by peer
  * MT#57005 lcr: reset missing counters

  [ Victor Seva ]
  * [556c6fb] MT#56753 cfgt: don't dump same node twice
  * [3351788] MT#56969 pua_dialoginfo: fix crash on memory exhaustion
  * [831a147] MT#57011 app_lua: fix crash on exhausted memory scenario
  * MT#55631 dialog: support dlg_get_var() with empty totag
  * New upstream version 5.7.0
  * remove already applied patches and refresh the rest

 -- Victor Seva <vseva@debian.org>  Fri, 19 May 2023 14:55:23 +0200

ngcp-kamailio (5.6.4-1+0~mr11.3.0.0) unstable; urgency=medium

  * MT#56147 fix undefined symbol: get_dlg_variable
  * MT#56147 kamcmd fix autocompletion
  * MT#56147 import .gitignore from upstream
  * MT#56241 pua_dialoginfo: use dlg_api.get_dlg_varval()
  * MT#56518 debian/rules: fix build process
  * MT#55524 fix build with python3.11
  * MT#56518 fix parallelism for install-modules-doc
  * MT#56613 usrloc: correct AOR value at usrloc:contact-expired
  * MT#56097 dialog: deactivate print_list
  * New upstream version 5.6.4
  * MT#56873 remove already applied patches and refresh

 -- Victor Seva <vseva@debian.org>  Thu, 09 Mar 2023 10:39:53 +0100

ngcp-kamailio (5.6.2-1+0~mr11.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * MT#55631 dialog: support dlg_set_var() with empty totag
  * MT#55968 pv_headers: fix t_resume scenario
  * New upstream version 5.6.2
  * MT#56147 refresh patches and remove already applied upstream
  * [514e257] TT#187250 pv_headers: use tm.t_find API
  * [816232d] TT#188700 pv_headers: rework pvh_remove_header_param, take two
  * [0dc1911] TT#187250 pv_header: fixes from upstream related to tm manage
  * [1a8f5b6] Revert "MT#33005 Allow search uri of speed dial by customer"

  [ Fabricio Santolin da Silva ]
  * [d07ca25] MT#33005 Allow search uri of speed dial by customer

 -- Victor Seva <vseva@debian.org>  Tue, 13 Dec 2022 09:30:58 +0100

ngcp-kamailio (5.6.0-1+0~mr11.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [868a9ee] TT#94500 upstream fix for TOPOS contact header
  * [9f8e591] TT#179351 fix coredump at getaddrinfo
  * [c25de5f] TT#182001 pv_headers: rework pvh_remove_header_param
  * [07ebcf8] TT#178351 presence: be more resilient doing clean up of presentity
  * [e50bf8b] TT#178351 presence: be more resilient doing clean up of presentity
  * [2bd8549] TT#183850 tm: try not to crash on unref

  [ Fabricio Santolin da Silva ]
  * [7168dd6] TT#181513 dialog: Add RCP command parameter to get all dialog profiles

  [ Guillem Jover ]
  * [73b9d6d] TT#181513 dialog: Add a new RCP command to get all dialog profiles

  [ Alessio Garzi ]
  * [0e9d187] TT#184400 No autocommit+rollback if no active watchers kamailio patch

  [ dzenichev ]
  * [f9e93b9] TT#185450 topos_redis: use tag based on direction for early dialog

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:00:47 +0200

ngcp-kamailio (5.6.0-1+0~mr11.0.0.0) unstable; urgency=medium

  [ Fabricio Santolin da Silva ]
  * [41c2623] TT#159750 Add support to remove a specific value from a header
  * [809ae67] TT#159750  pv_headers: fix possible mem. overflow issue and wrong size string

  [ Victor Seva ]
  * [a988420] TT#170350 cfgt: skip_unknown parameter
  * [c241a98] TT#159750  pv_headers: update patches
  * [c7b775a] TT#165301 dialog: dlg_get|set_var function
  * [a902a25] TT#165301 dialog: dlg_get_var assure return null on error
  * [66fb17a] TT#165301 dialog: sync with upstream changes
  * New upstream version 5.6.0
  * TT#180101 update debian changelog

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:42:29 +0200

ngcp-kamailio (5.5.4-1+0~mr10.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [b6ae649] TT#167301 fixes from upstream 5.5 branch

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Mar 2022 23:59:00 +0200

ngcp-kamailio (5.5.4-1+0~mr10.4.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * TT#158001 core: add support of ICE media options to SDP parser
  * TT#158001 core: sdp parser check value of ptr with white space

  [ Victor Seva ]
  * TT#155903 pv_headers: pv_headers: restore pvh_real_hdr_del_by_name()
  * TT#165251 db_redis: don't leave unconsumed redis replies in case of error on update
  * TT#165251 db_redis: clean previous connection before reconnect
  * TT#167301 New upstream version 5.5.4
  * TT#167301 remove already applied patches from 5.5

 -- Victor Seva <vseva@sipwise.com>  Fri, 11 Mar 2022 13:54:14 +0100

ngcp-kamailio (5.5.3-1+0~mr10.3.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * TT#136050 pv_headers clone branch ignore skip_headers

  [ Donat Zenichev ]
  * [ce9c81c] TT#144053 TSILO: / TM: Add support of a lookup and branch creating by contact
  * TT#144053 TM: 't_append_branches()' improvement / TSILO: add 'ts_append_by_contact()'
  * TT#143950 lcr: improve the search for GW when both IP address and src_port are used

  [ Guillem Jover ]
  * [bfa102d] TT#124273 Update packaging for bullseye
  * TT#124273 Remove obsolete dbg symbol package transition

  [ Victor Seva ]
  * [ee03278] TT#131050 pv_headers: don't try to replace header
  * [1283085] TT#144550 pua_dialoginfo: dialog_uuid
  * [452c996] TT#144053 tsilo: fix build warnings
  * [e8b4156] TT#148850 pua_dialoginfo: fix memory corruption
  * [2bfad1d] TT#146100 permissions: fix for match crash while RPC reload
  * [ee55a33] TT#124752 nathelper: fix_nated_sdp added ignoring RFC3605-param if omitted
  * TT#155750 presence: info logs instead of error for not maching conditions
  * TT#154255 remove redis-server from unit service
  * New upstream version 5.5.3
  * TT#155903 remove applied patches

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:17:27 +0100

ngcp-kamailio (5.5.1-1+0~mr10.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [672fc64] TT#136601 lcr: source port check for from_any_gw() and from_gw()
  * [f2417ad] TT#141403 lcr: improve binary search
  * [9dbf01e] TT#143950 lcr: add new function for searching gw based on IP and src_port

  [ Victor Seva ]
  * [3d3b5c1] TT#139455 systemd template units

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:18:33 +0200

ngcp-kamailio (5.5.1-1+0~mr10.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [06be05d] TT#131050 pv_headers: fix removal of all values on when using PV_IDX_ALL
  * [c808ea0] TT#131050 pv_headers: pvh_set_header, remove values to set null when necessary

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:49:56 +0200

ngcp-kamailio (5.5.1-1+0~mr10.0.0.0) unstable; urgency=medium

  * TT#124752 nathelper: don't fail if 'a=rtcp' has no IP
  * New upstream version 5.5.1
  * TT#131500 remove already applied fixes
  * TT#131500 refresh patches

 -- Victor Seva <vseva@sipwise.com>  Tue, 20 Jul 2021 10:09:53 +0200

ngcp-kamailio (5.5.0-1+0~mr9.5.0.0) unstable; urgency=medium

  * TT#119500 core: usr avp, fix from upstream
  * New upstream version 5.5.0
  * TT#122350 update patches
  * TT#122350 debian: add lwsc modules

 -- Victor Seva <vseva@sipwise.com>  Wed, 12 May 2021 12:36:21 +0200

ngcp-kamailio (5.4.5-1+0~mr9.4.0.0) unstable; urgency=medium

  * TT#114315 pv_headers: fix split detection marker
  * TT#91551 ctl: remove debug message
  * TT#119500 update to 5.4.5

 -- Victor Seva <vseva@sipwise.com>  Fri, 16 Apr 2021 10:55:24 +0200

ngcp-kamailio (5.4.4-1+0~mr9.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [7f49eef] TT#105600 secsipid package
  * New upstream version 5.4.4
  * TT#111601 remove already applied patches

  [ Richard Fuchs ]
  * [5542caa] TT#63000 skip empty keys when looking for key
  * [2a23b94] TT#63000 improve Redis SCAN increase and falloff
  * [d53e856] TT#63000 use SSCAN instead of SCAN if possible
  * [c182f41] TT#63000 fix SSCAN using empty key name

 -- Victor Seva <vseva@sipwise.com>  Mon, 22 Feb 2021 11:58:03 +0100

ngcp-kamailio (5.4.1-1+0~mr9.3.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [6e835bd] TT#87201 ndb_redis remove useless error message, take two
  * [6a80d80] TT#81700 cfgt: add log info on creation and save
  * [1c87813] TT#105150 remove dh-systemd dependence
  * [be3d9ad] TT#81500 cfgt: skip $_s and avp id 0

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:30:56 +0100

ngcp-kamailio (5.4.1-1+0~mr9.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [f31edfb] TT#91551 tls: revert possible regression
  * [bf28749] TT#91452 pv_headers: fix $x_hdr index on get
  * [7b61a35] TT#91452 pv_headers: get_header(), remove annoying errors
  * [be803c5] TT#93800 cfgt: skip $T_* vars
  * [590f81e] TT#87201 ndb_redis remove useless error message
  * [3d41b85] TT#71906 sca: pai_avp parameter
  * [36ec830] TT#85300 lcr stopper_mode parameter
  * [0554b31] TT#94500 topos: don't insert contact for 4xx without it
  * [41cb540] TT#99150 permissions: basic safety for concurent rpc reload
  * [2490ea9] TT#99150 permissions: fix missing reload_delta export parameter

  [ Richard Fuchs ]
  * [dd3e27b] TT#92250 rtpengine: support new codec flags
  * [950199a] TT#92250 fix incorrect strings in rtpengine codec flags

  [ Guillem Jover ]
  * [6e49e61] TT#100000 sl: Fix 3xx stats RPC marshalling

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:24:08 +0100

ngcp-kamailio (5.4.1-1+0~mr9.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * TT#91650 Add a .mailmap file to correct author information

  [ Victor Seva ]
  * [bd1cdb6] TT#85550 pua: fix creation of records for every dialog state
  * [ca0de3a] TT#85550 pua: update_version_puadb() use pres_id to select record
  * [e695a22] TT#71906 sca: fix sca_parse_uri()
  * New upstream version 5.4.1
  * TT#91551 refresh patches

 -- Victor Seva <vseva@sipwise.com>  Tue, 01 Sep 2020 12:25:04 +0200

ngcp-kamailio (5.3.5-1+0~mr9.0.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [f3546ac] TT#84862 further fix Redis key expiry

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:47:58 +0200

ngcp-kamailio (5.3.5-1+0~mr8.6.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [63132f0] TT#84599 pua_dialoginfo use lock when necessary
  * [bf598c3] TT#84599 pv_headers: fix coredump when no more shm is left
  * [b6caec4] TT#84599 pv_headers: fix coredump when no more shm is left, take two
  * [6ec5ada] TT#63509 sca: fix sca-line-seize memory leak

  [ Richard Fuchs ]
  * [107332b] TT#84862 fix Redis key expiry

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:51:54 +0200

ngcp-kamailio (5.3.5-1+0~mr8.5.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * TT#81803 add pv_headers case insensitive support
  * TT#81803 pv_headers use str_hash_case_get

  [ Victor Seva ]
  * [c2c59c7] TT#81263 cfgt fix from upstream
  * [18503c0] TT#81182 jansson fix
  * TT#81803 pv_headers use $xavi instead of $xavp
  * TT#81803 pv_headers rework
  * TT#79400 dialplan: don't stop loading rules on error
  * TT#71906 sca: clang-format
  * TT#81208 export missing KEMI functions
  * TT#84508 New upstream version 5.3.5
  * TT#84508 refresh patches

 -- Victor Seva <vseva@sipwise.com>  Tue, 23 Jun 2020 11:15:02 +0200

ngcp-kamailio (5.3.4-1+0~mr8.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * TT#75200 pv_headers: rework
  * TT#76405 pua_dialoginfo
  * TT#78500 update patches merged upstream
  * TT#78651 KEMI changes needed to remove app_lua_sr
  * TT#80825 upstream fixes for kamctl dbtextdb
  * TT#78500 update patches from upstream
  * TT#79800 ndb_redis: fix redis_cmd return value on error
  * New upstream version 5.3.4
  * TT#81263 refresh patches and remove already applied

  [ Richard Fuchs ]
  * TT#78302 support rtpengine T.38 options
  * TT#74951 fix incorrect branch index used in via-branch=next
  * TT#79601 add rtpengine flags for all commands

  [ Michael Prokop ]
  * TT#80825 utils/kamctl/dbtextdb/dbtextdb.py: fix exception usage with python3

 -- Victor Seva <vseva@sipwise.com>  Mon, 11 May 2020 11:29:01 +0200

ngcp-kamailio (5.2.5-1+0~mr8.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [c896cdd] TT#71450 fix lcr_rate using the wrong peer ID

  [ Victor Seva ]
  * [6b91a6a] TT#36285 support sd_notify()
  * [6aff9a1] TT#64607 rework pv_headers module
  * [493a842] TT#71323 [pv_headers] force "From"/"To" keys when collecting headers
  * [184ec37] TT#64607 [pv_headers] export module functions to KEMI interface
  * [fbf34ab] TT#71552 [cfgt] refresh already merged patches
  * [4426d19] TT#71552 [rtpengine] reorder and update patches from upstream
  * [5aa1fa4] TT#71552 [db_redis] reorder and update patches from upstream
  * [fb5978a] TT#71552 remove obsolete openssl fix
  * [b3872eb] TT#71552 [cfgt] backport from trunk new RPC commands
  * [2c3ea64] TT#72700 cfgt: add upstream fix for printf
  * [582ada3] TT#71552 tls: upstream fix for pthread mutex flags
  * [1ba66d5] TT#71821 pv_headers: fix missing $x_tt on replies
  * [79520e8] TT#71552 avpops change from upstream merge
  * [6b1b0af] TT#71207 don't start if if[n]def check fails
  * [9f33a71] TT#73652 pv_headers: fix detection of branch flag

  [ Marco Capetta ]
  * [11fd4e4] TT#70329 Call-termination distribution probability based on Q value

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:20:47 +0100

ngcp-kamailio (5.2.5-1+0~mr8.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [478fca5] TT#68350 Re-apply fix for python switch from version 2 to 3

  [ Guillem Jover ]
  * [bafd63c] TT#51701 Switch from deprecated /var/run to /run
  * [3cd4b89] TT#70472 Disable unsafe signal handlers

  [ Alexander Lutay ]
  * [3811fc2] TT#70475 systemd: remove separate kamailio config check on start

  [ Victor Seva ]
  * [7cc1d58] TT#64607 pv_headers: fix Segmentation fault calling pv_unset
  * [f80b449] TT#70962 [pv_headers]: fix fork scenario

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:54:08 +0100

ngcp-kamailio (5.2.5-1+0~mr8.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [8c0a884] TT#63000 db_redis: fix EVALSHA usage

  [ Marco Capetta ]
  * [efce85a] New upstream version 5.2.5
  * [bee2b40] TT#68350 Remove already applied upstream patches and refresh old ones

 -- Marco Capetta <mcapetta@sipwise.com>  Thu, 10 Oct 2019 13:41:35 +0200

ngcp-kamailio (5.2.4-1+0~mr8.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [df7ad22] TT#63000 db_redis: use EVALSHA instead of EVAL

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:07:27 +0200

ngcp-kamailio (5.2.4-1+0~mr8.0.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [1192c49] TT#23358 Move db_redis table descriptor in /etc/kamailio folder
  * [5fea855] Revert "TT#23358 Move db_redis table descriptor in /etc/kamailio folder"
  * [577484c] TT#64352 Switch from app-python to app-python3
  * [b3d08a1] TT#64352 Fix missing creation of python dbg symbol package
  * [fafb27f] New upstream version 5.2.4
  * [e11e30e] TT#68201 Remove already applied upstream patches and refresh old ones

  [ Kirill Solomko ]
  * [67446d7] TT#64652 pv_headers: ignore FAKED_REPLY msg

  [ Richard Fuchs ]
  * [a298193] TT#63000 fix redis SCAN usage
  * [6111fb0] TT#63000 skip non-EQ DB query type keys
  * [51196c6] TT#63000 db_redis: support update of type key columns
  * [6df6f87] TT#63000 db_redis: support range scans on timestamp keys
  * [19794b1] TT#63000 db_redis: support exponential increase and fallof for SCAN
  * [dda2e56] TT#63000 db_redis: support range matching on int columns
  * [640695c] TT#63000 db_redis: use a min string length of 10 digits for bigints
  * [053e45b] TT#63000 db_redis: use KEYS instead of SCAN
  * [f3b8e57] TT#66000 add versioning to db_redis
  * [390981e] TT#63000 add support for value-less master keys
  * [ffb58a5] TT#63000 db_redis: simulate non-unique indexes through parent sets
  * [a57c149] TT#63000 db_redis: fixes
  * [073249e] TT#63509 fix sca mem leak
  * [9d76dcb] TT#66752 avoid presence_dfks core dumps
  * [5b695c7] TT#65053 add play_dtmf command

 -- Marco Capetta <mcapetta@sipwise.com>  Fri, 04 Oct 2019 15:09:02 +0200

ngcp-kamailio (5.2.3-1+0~mr8.0.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [d316eaf] TT#56950 Add libmnl-dev dependency for new ims_ipsec_pcscf module
  * [d4ae312] TT#63464 Remove carrierroute module definition

  [ Andrew Pogrebennyk ]
  * [e4a2849] TT#63103 enable TLS preload module on lb instead of proxy

  [ Kirill Solomko ]
  * [16861f1] TT#58628 pv_headers add auto collect/apply support

  [ Guillem Jover ]
  * [bd93c75] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat
  * [b355100] TT#61954 Fix systemd service files installation
  * [c14de91] TT#61954 Add RuntimeDirectory directives for systemd service files
  * [aa3b451] TT#63463 build: Call make via $(MAKE)
  * [f6a5888] TT#63463 Rewrite debian/rules file to use the debhelper sequencer

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 20:54:23 +0200

ngcp-kamailio (5.2.3-1+0~mr7.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [ba6309c] TT#61101 Remove obsolete alternative dependencies
  * [8970ac2] TT#61954 Update copyright Format URL to use https
  * [34d357f] TT#61954 Update copyright years

  [ Marco Capetta ]
  * [5ea5133] New upstream version 5.2.3
  * [5129874] TT#56950 Remove already applied upstream patches and refresh old ones

 -- Marco Capetta <mcapetta@sipwise.com>  Mon, 08 Jul 2019 09:41:32 +0200

ngcp-kamailio (5.1.8-1+0~mr7.5.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [0ebf405] TT#58562 dialplan: add reload_delta parameter

  [ Richard Fuchs ]
  * [afe011b] TT#57151 add preload .so for openssl locking fix

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jun 2019 14:35:41 +0200

ngcp-kamailio (5.1.8-1+0~mr7.4.0.0) unstable; urgency=medium

  * [d4ee3e5] New upstream version 5.1.8
  * [e61aa09] TT#57950 Remove already applied upstream patches and refresh old ones

 -- Marco Capetta <mcapetta@sipwise.com>  Tue, 07 May 2019 10:15:10 +0200

ngcp-kamailio (5.1.7-1+0~mr7.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [d467019] TT#54406 pv_headers: pv_set_header() fix pv_parse_format
  * [f6cfcc1] TT#55003 pv_headers: fix $x_hdr pv_parse_header_name
  * [6563791] TT#55601 pv_headers change pv spec parsing
  * [c105266] TT#47971 pv_headers: add isolation for branches
  * [d66fb96] TT#56515 pv_headers fix get_branch_index
  * [bc1cb47] TT#56483 pv_headers add support for int rvalue
  * [bfa731b] TT#57100 pv_headers adjust branches handling
  * [70a5c3b] TT#57100 pv_headers fix parsed data clone
  * [f2f6ade] TT#57100 pv_headers fix multi header duplication
  * [29f1170] TT#57300 pv_headers: fix pv_xavp_get_child()
  * [3409b21] TT#57300 pv_headers adjust branch index internal position
  * [f21aa13] TT#57502 pv_headers: skip From/To change when value is unchanged
  * [3085915] TT#57701 pv_headers add reply status/reason change support

  [ Andrew Pogrebennyk ]
  * [8b7dd46] TT#46775 backport fix for crashes in tm module from upstream
  * [a6e0de3] TT#55859 debian/control: Build-Depends on libssl1.0

  [ Richard Fuchs ]
  * [9d34e93] TT#50652 add play_media() and stop_media() function
  * [098f5a6] TT#50652 add start_forwarding patch from upstream

  [ Andreas Granig ]
  * [ed5480e] TT#53672 Also return path column in lookup

  [ Marco Capetta ]
  * [6120351] TT#54256 Fix dialplan errors if rwr contains avps
  * [3dcee6f] TT#56343 Fix crash calculating packet stats

  [ Guillem Jover ]
  * [152f660] TT#23584 Honor parallel build support

  [ Roman Romanchenko ]
  * [5bdbed2] TT#56343 fix crash in method km_cb_rpl_stats_by_method  if CSeq method is not available
  * [23c90ef] Revert "TT#56343 fix crash in method km_cb_rpl_stats_by_method  if CSeq method is not available"

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 25 Apr 2019 14:27:46 +0200

ngcp-kamailio (5.1.7-1+0~mr7.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [d5ebfe5] TT#51950 Backport topos execute event_route[topos:sending] from upstream

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Feb 2019 22:53:24 +0100

ngcp-kamailio (5.1.7-1+0~mr7.2.0.0) unstable; urgency=medium

  * [87b30e2] New upstream version 5.1.7
  * [89c889b] TT#51903 Remove already applied upstream patches and refresh old ones

 -- Marco Capetta <mcapetta@sipwise.com>  Mon, 04 Feb 2019 11:27:21 +0100

ngcp-kamailio (5.1.6-1+0~mr7.2.0.0) unstable; urgency=medium

  [ Roman Romanchenko ]
  * [2e17788] TT#41650 Development of Kamailio module/function for parsing iCal structure

  [ Andreas Granig ]
  * [e3eda4a] TT#47976 presence: test if event is dialog when attempting to delete old records

  [ Richard Fuchs ]
  * [bac99b3] TT#45472 add support for application/trickle-ice-sdpfrag mime type

  [ Alexander Lutay ]
  * [e6d2101] TT#43810 Execute 'wrap-and-sort -sat' as suggested by check-packaging
  * [d22e0be] TT#43810 Add /ngcp-kamailio-geoip2-modules/ to .gitignore as suggested by check-packaging

  [ Andrew Pogrebennyk ]
  * [9ffa56c] TT#40617 kamailio-lb/proxy: set dependency on redis-server

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Jan 2019 21:57:07 +0100

ngcp-kamailio (5.1.6-1+0~mr7.1.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [fb85e10] TT#30386 add new kamailio module pv_headers

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Nov 2018 22:35:16 +0100

ngcp-kamailio (5.1.6-1+0~mr7.0.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [da9a2fa] TT#39554 fix db_redis reconnect after error

  [ Marco Capetta ]
  * [90a7268] TT#44855 [WIP] Fix ERROR messages in cfgt module
  * [2d00cf7] Imported Upstream version 5.1.6
  * [269a7e3] TT#43352 Remove already applied upstream patches and refresh old ones

 -- Marco Capetta <mcapetta@sipwise.com>  Mon, 22 Oct 2018 10:13:37 +0200

ngcp-kamailio (5.1.4-1+0~mr7.0.0.0) unstable; urgency=medium

  [ Andrew Pogrebennyk ]
  * [403fab4] TT#40617  topos: keep original contact in 3xx responses sent out
  * [ea758f8] TT#40617 topos_redis: fix branch timeout value being used for whole dialog
  * [42c06a4] TT#43352 geoip is obsolete; enable geoip2

  [ Richard Fuchs ]
  * [47b4b39] TT#42258 extend lcr_get_prepaid_from_uuid to also return the library
  * [b068c12] TT#43556 support rtpengine DTMF blocking commands
  * [bc33993] TT#43556 fix typo from b068c12
  * [43db619] TT#43557 support rtpengine media blocking functions

  [ Roman Romanchenko ]
  * [847fcd0] TT#42709 [Test carrier] Kamailio Crashed mr6.4.1

  [ Michael Prokop ]
  * [61127c5] TT#44158 Drop ngcp-kamailio-java-modules package

  [ Marco Capetta ]
  * [57d75b2] TT#43152 ACC not created for call-fork with reject scenario

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Sep 2018 18:53:45 +0200

ngcp-kamailio (5.1.4-1+0~mr6.5.0.0) unstable; urgency=medium

  [ Roman Romanchenko ]
  * [0cec8e9] TT#36356 Extend kamailio rcv_replies statistics
  * [41f15a2] TT#37692 Improve From pattern matching in kamailio permissions module when From is anonymous

  [ Kirill Solomko ]
  * [3d847c6] TT#39171 avpops: add avp_subst() pvar as subst

  [ Guillem Jover ]
  * [4f6a770] TT#39700 Simplify fix by reducing changed lines
  * [d908c1f] TT#39700 Move Debian patches into their own directory
  * [4bb3d42] TT#39700 Move db_redis patches merged upstream to the upstream dir
  * [9d62138] TT#39700 Fold tcap_add_tcap_var_extract.patch into add_tcap_module.patch
  * [9b996f7] TT#39700 Remove unused RCS keywords
  * [3424f5a] TT#39700 Refresh patch to get rid of fuzz

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Jul 2018 13:34:49 +0200

ngcp-kamailio (5.1.4-1+0~mr6.4.0.0) unstable; urgency=medium

  [ Andreas Granig ]
  * [a3b1703] TT#37500 Reset manual key count on key switch

  [ Marco Capetta ]
  * [5e852cb] TT#35352 Fix cfgt module in case of return from onsend_route
  * [0948636] TT#38155 Add tcap_extract_var function to tcap module
  * [2e7b6d1] Imported Upstream version 5.1.4
  * [ee80af9] TT#38600 Remove already applied upstream patches and refresh old ones
  * [b8a2810] TT#38600 Add new important upstream patches

 -- Marco Capetta <mcapetta@sipwise.com>  Mon, 18 Jun 2018 15:44:20 +0200

ngcp-kamailio (5.1.2-1+0~mr6.4.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [9548c16] TT#34650 db_redis: Fix various pointer and memory issues
  * [5534178] TT#34900 Fix notify after BYE in case of shared line
  * [47c08b9] TT#36211 proxy annoying errors in logs during config-test

  [ Manuel Montecelo ]
  * [9d7068d] TT#26264 Fix to install the config files for tmpfiles.d

  [ Andreas Granig ]
  * [243697c] TT#34650 Fix db_redis table scan on 0 query args
  * [04cb118] TT#34650 Fix table scan with lots of rows
  * [72d728b] TT#36255 Fix redis error handling
  * [22d8aa0] TT#37389 Backport kamailio RLS buffer fix

  [ Alexander Lutay ]
  * [27c63cd] TT#35502 Replace Requires=mariadb.service with Wants=mariadb.service for kamailio-proxy.service

  [ Mykola Malkov ]
  * [e27e59a] TT#33384 Use weaker type of services' dependency on remote-fs

  [ Guillem Jover ]
  * [c0b5748] TT#26264 Remove obsolete rc.d symlinks
  * [62f727d] TT#26264 Cleanup systemd support
  * [0bf7660] TT#36284 Move back mariadb.service from Wants to Restores for proxy

  [ Richard Fuchs ]
  * [b7397fd] TT#35413 add support for rtpengine load balancing

  [ Andrew Pogrebennyk ]
  * [2bf44a4] TT#36071 modules/topos: import from upstream 5.1.3 commit f9e0bc3
  * [c06e6ca] TT#37050 import commit 03dd592 from upstream/5.1

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 May 2018 10:04:01 +0200

ngcp-kamailio (5.1.2-1+0~mr6.3.0.0) unstable; urgency=medium

  [ Andreas Granig ]
  * [9d17e1d] TT#32450 Use "time" for db_redis timestamps
  * [6ce48bf] TT#32450 Fix null free in db_redis
  * [f457334] TT#32450 Fix null free in db_redis on insert

  [ Marco Capetta ]
  * [f22abc1] TT#33952 Remove obsolete packages purple and iptrtpproxy

  [ Manuel Montecelo ]
  * [a1a0865] TT#26264 Add systemd unit service file, remove sysvinit support

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Apr 2018 22:27:41 +0200

ngcp-kamailio (5.1.2-1+0~mr6.2.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [51d9562] TT#26263 fix rtpengine default set ID selection
  * [5221f67] TT#30572 add transcoding options to rtpengine module

  [ Guillem Jover ]
  * [6872898] TT#22072 Update packaging
  * [c5db8b0] TT#32207 Wait until the kamailio processes have been terminated

  [ Andreas Granig ]
  * [b98ea96] TT#32450 Implement db_redis database driver.
  * [d2fbb6b] TT#32450 Install db_redis schema files
  * [3be33de] TT#32450 Queue appended redis commands for reconnect

  [ Marco Capetta ]
  * [abb4ab5] TT#31165 Fix inconsistency in kamailio service names
  * [13dca21] Imported Upstream version 5.1.2
  * [372d8fd] TT#33258 Remove already applied upstream patches and refresh old ones

  [ Alexander Lutay ]
  * [4b365e0] TT#33276 Remove sysv init script dependency on sshd

 -- Marco Capetta <mcapetta@mcapetta.sipwise>  Thu, 08 Mar 2018 15:52:44 +0100

ngcp-kamailio (4.4.6-1+0~mr6.2.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [0c434c4] TT#29627 Clean kamailio-tap-test warnings for debian folder

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 29 Jan 2018 21:53:04 +0100

ngcp-kamailio (4.4.6-1+0~mr6.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [6ced791] TT#22072 Update packaging

  [ Marco Capetta ]
  * [4ec8815] TT#8407 Fix creation of CDRs for provisional responses

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Dec 2017 00:03:49 +0100

ngcp-kamailio (4.4.6-1+0~mr6.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [2c01279] TT#18950 refresh patches

  [ Guillem Jover ]
  * [a7391e5] TT#16684 Cleanup OpenSSL state properly on a threaded program

  [ Andrew Pogrebennyk ]
  * [3890714] TT#18851 Import github.com/majastanislawska/sip-router-presence_dfks-module

  [ Irina Peshinskaya ]
  * [cf4d136] TT#21101 add CRLF to as-feature-event NOTIFY to satisfy Polycom

  [ Andreas Granig ]
  * [7157ca3] TT#22659 Print errno when json writing fails

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 02 Oct 2017 23:39:13 +0200

ngcp-kamailio (4.4.6-1+0~mr5.5.0.0) unstable; urgency=medium

  * [78c035c] New upstream version 4.4.6
  * [8fb71b4] TT#18950 remove already applied patches from 4.4 branch

 -- Victor Seva <vseva@sipwise.com>  Wed, 19 Jul 2017 09:25:54 +0200

ngcp-kamailio (4.4.5-1+0~mr5.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [baa283c] TT#16548 core: fix mem_summary comparation when SIGUSR1 is received
  * [ad82b82] TT#14580 core: fix memory leak
  * [6fd6b73] TT#10136 pv: pv_var_to_xavp() and pv_xavp_to_var() fix
  * [ce8bc30] TT#2386 sca: improvements

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jul 2017 22:43:16 +0200

ngcp-kamailio (4.4.5-1+0~mr5.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [c55fc18] TT#12676 tls: fix kerberos detection at runtime with openssl > 1.1.0
  * [1e2115a] TT#14208 prevent crash on BYE when dialog is gone
  * [e55372f] TT#14953 dialog: more safety checks

  [ Richard Fuchs ]
  * [07d2257] TT#12800 return rtpengine MOS values to pvars

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 May 2017 21:35:00 +0200

ngcp-kamailio (4.4.5-1+0~mr5.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [37a79ea] TT#10350 fix kamailio rtpengine module segfault

  [ Victor Seva ]
  * [86e3621] TT#10122 tm: fix race condition
  * [cd6c25c] TT#10159 refresh upstream fixes from 4.4
  * [064a6f0] TT#12309 debian: add missing libssl-dev
  * [cf5d9b7] TT#13003 pv: stop spamming with ERROR on uri transformations

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 Mar 2017 10:52:55 +0100

ngcp-kamailio (4.4.5-1+0~mr5.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [a997dce] TT#9301 4.4 upstream fixes
  * [4c15b35] TT#9870 presence: fix transaction issues

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 03 Feb 2017 00:32:45 +0100

ngcp-kamailio (4.4.5-1+0~mr5.1.0.0) unstable; urgency=medium

  * [890b2ba] TT#5449 debian: support stretch build
  * [a2cae5c] TT#7034 dialplan: fix avp values when PV_IDX_ITR
  * [c0c3afd] TT#8007 dialog: RPC dlg.dlg_list[_ctx] make from_tag parameter optional
  * [262ed00] TT#8199 [CARRIER] usrloc: restore use db read-only functionality
  * [298ee6b] TT#8275 debian/patches/sipwise: remove unused patches
  * [e0fd465] New upstream version 4.4.5
  * [16a4f27] TT#9301 remove already applied upstream patches

 -- Victor Seva <vseva@sipwise.com>  Thu, 19 Jan 2017 09:11:36 +0100

ngcp-kamailio (4.4.4-1+0~mr5.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 17 Nov 2016 23:12:52 +0100

ngcp-kamailio (4.4.4-1+0~mr5.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [1660258] TT#2387 sca: fix call_info_update() param calls
  * [760e90b] TT#3855 presence: fix crash when no dialog.id at dialog-info xml PUBLISH
  * [33ce5e0] TT#2387 sca: new "server_address" parameter
  * [d36252d] TT#3010 sca: server_id
  * [3d5a816] TT#2391 sca fixes
  * [69d1087] New upstream version 4.4.4
  * [fd1c3eb] TT#3150 refresh patches and remove already applied upstream

  [ Kirill Solomko ]
  * [042eb86] MT#22031 kamailio-mysql-modules now depend on mariadb-client

 -- Victor Seva <vseva@sipwise.com>  Wed, 09 Nov 2016 17:50:37 +0100

ngcp-kamailio (4.4.3-1+0~mr5.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [4bca15e] TT#2388 sca: onhold_bflag
  * [a30ac67] TT#2386 sca: sca_call_info_update() add [to|from] optional parameters
  * [7e92049] TT#2387 sca: sca_handle_subscribe() get actual ruri
  * [c742e1b] New upstream version 4.4.3
  * [be034e3] TT#3010 remove upstream fixes merged into 4.4.3

 -- Victor Seva <vseva@sipwise.com>  Thu, 15 Sep 2016 10:17:33 +0200

ngcp-kamailio (4.4.2-1+0~mr5.0.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [b69cfb4] MT#21143 fix log level after t_continue() when setting debug level via fifo/rpc

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 01 Aug 2016 16:24:33 +0200

ngcp-kamailio (4.4.2-1+0~mr4.5.0.0) unstable; urgency=medium

  * [0d7b36c] MT#20225 backport pv_evalx()
  * [1de2872] MT#20349 tls: fix openssl compatibility check
  * [2e505d2] MT#20493 textops: filter_body() remove extra '\r\n'
  * [3835a76] MT#14217 remove janssonrpc-c patches for custom server
  * [a285751] MT#20927 Imported Upstream version 4.4.2
  * [1e0fadc] MT#20927 fix build template for group modules
  * [c333758] MT#20927 remove upstream already applied fixes

 -- Victor Seva <vseva@sipwise.com>  Wed, 29 Jun 2016 10:04:47 +0200

ngcp-kamailio (4.4.1-1+0~mr4.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [398dfd2] MT#19415 Extend kamailio core and dialog stats

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 23 May 2016 18:44:43 +0200

ngcp-kamailio (4.4.1-1+0~mr4.4.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [f699e68] MT#19073 add via-branch=next feature

  [ Victor Seva ]
  * [dea9d35] Imported Upstream version 4.4.1
  * [e8c6649] MT#19673 remove already applied patches from 4.4 branch

 -- Victor Seva <vseva@sipwise.com>  Wed, 11 May 2016 15:12:04 +0200

ngcp-kamailio (4.4.0-1+0~mr4.4.0.0) unstable; urgency=medium

  * [e50bb3b] Imported Upstream version 4.4.0
  * [20120d4] MT#19009 remove already applied upstream patches and refresh old ones
  * [801ca86] MT#19009 add upstream fixes from 4.4 branch

 -- Victor Seva <vseva@sipwise.com>  Mon, 11 Apr 2016 16:37:17 +0200

ngcp-kamailio (4.3.4-1+0~mr4.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [7200781] MT#15977 ngcp-kamailio-berkeley-modules: upgrade dbX-util depends for jessie
  * [cc6a3b4] MT#18051 db_mysql: change log level from WARN to DBG for ping checks

  [ Richard Fuchs ]
  * [e3fe85f] MT#15177 implement functions to fetch billing profile details
  * [1d65f49] MT#18057 create new isup_decode_number_hex()

  [ Michael Prokop ]
  * [ef23b92] MT#17699 Bump Standards-Version to 3.9.7

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 21 Mar 2016 22:15:41 +0100

ngcp-kamailio (4.3.4-1+0~mr4.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 16 Dec 2015 09:14:32 +0100

ngcp-kamailio (4.3.4-1+0~mr4.2.0.0) unstable; urgency=medium

  * [51ce354] MT#16703 Imported Upstream version 4.3.4

 -- Victor Seva <vseva@sipwise.com>  Thu, 26 Nov 2015 23:01:32 +0100

ngcp-kamailio (4.3.3-1+0~mr4.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [1a42a68] MT#15575 restore dmq_usrloc patch
  * [ac6a0c7] MT#15555 ability to set ACC flags after transaction has been created

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Oct 2015 15:31:34 +0200

ngcp-kamailio (4.3.3-1+0~mr4.1.0.0) unstable; urgency=medium

  * [a6b39bc] MT#10339 refresh patches
  * [7a2c1f8] MT#10339 add patch to fix dmq_usrloc build after usrloc patches
  * [e82524c] MT#12691 revert pua_reginfo fix c40f56627aecf
  * [e0b7ef1] MT#14405 fix registrar max_contacts having sip.instance
  * [76e5e3f] MT#14721 fix routename for event_route
  * [a47aa4f] MT#14217 janssonrpc-c: add fakerpc mode
  * [ef0516b] MT#14989 registrar: add contact/received info to xavp_rcd and set it at registrered() too
  * [453a2eb] Imported Upstream version 4.3.3
  * [a468cf8] MT#15575 remove already merged patches

 -- Victor Seva <vseva@sipwise.com>  Mon, 05 Oct 2015 16:15:21 +0200

ngcp-kamailio (4.3.1-1+0~mr4.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [3891413] update lcr_rate for new swrate

  [ Victor Seva ]
  * [f5b58c9] MT#13917 pua_reginfo fix from 4.3 branch
  * [a88ca52] Imported Upstream version 4.3.1
  * [6a025a4] MT#10339 remove upstream patches already on 4.3.1

 -- Victor Seva <vseva@sipwise.com>  Mon, 27 Jul 2015 11:22:57 +0200

ngcp-kamailio (4.3.0-1+0~mr4.1.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [696dbab] MT#6565 mod_cfgt
  * [e427af0] MT#10339 CARRIER: usrloc_dbro.patch
  * [a6e79ec] MT#10339 CARRIER: nathelper filter by server_id
  * [23fdcaa] MT#10339 stop kamailio on upgrades always
  * [427b84d] MT#10339 stop kamailio on upgrades always. fix 23fdcaa0bf7b

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jul 2015 15:12:58 +0200

ngcp-kamailio (4.3.0-1+0~mr4.0.0.0) unstable; urgency=medium

  * [b6e6d38] Imported Upstream version 4.2.1
  * [97b8098] Imported Upstream version 4.1.8
  * [c40f566] MT#12691 pua_reginfo fix
  * [1603f51] sipwise/nathelper_socket_filter.patch: too much debug information
  * [9376ec2] MT#12691 add upstream fix for usrloc callbacks
  * [8a1c6f8] MT#13249 fix double precision value on queries
  * [7e6131e] Imported Upstream version 4.3.0
  * [e0458e9] remove old patches and disable the ones that need extra work
  * [f60260e] refresh patches for 4.3.0

 -- Victor Seva <vseva@sipwise.com>  Fri, 12 Jun 2015 15:04:48 +0200

ngcp-kamailio (4.1.8-1+0~mr4.0.0.0) unstable; urgency=medium

  * [ccda56f] MT#12761 dialplan: skip rules with empty avp[*] value
  * [740c17e] MT#12987 remove empty patch
  * [5094558] Imported Upstream version 4.1.8
  * [8f5a085] MT#12987 debian: remove 4.1 patches from upstream already merged
  * [9deb226] MT#12987 debian: refresh conflicted patches
  * [4c2fcff] MT#12987 debian: add 4.1 upstream patches after 4.1.8 release

 -- Victor Seva <vseva@sipwise.com>  Wed, 20 May 2015 16:03:06 +0200

ngcp-kamailio (4.1.6-1+0~mr4.0.0.0) unstable; urgency=low

  [ Michael Prokop ]
  * [20c76d2] MT#10837 Adjust FREERADIUS behaviour
  * [852eace] MT#11387 Switch from Pre-Dependency on ngcp-system-tools* to Depends
  * [1936824] MT#9127 Bump Standards-Version to 3.9.6

  [ Richard Fuchs ]
  * [1e73790] sync rtpengine.patch with upsteam

  [ Victor Seva ]
  * [d24106a] MT#10931 nathelper: append_sdp_oldmediaip parameter
  * [4a9f398] MT#11753 backport patches for dialoginfo and remove ours

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 18 Mar 2015 14:00:59 +0100

ngcp-kamailio (4.1.6-1+0~mr3.8.0.0) unstable; urgency=low

  [ Richard Fuchs ]
  * [c508e3a] MT#9949 TCP_KEEPIDLE requires SO_KEEPALIVE to function
  * [a29871b] MT#9949 compile fix for the tcp idle timer

  [ Andrew Pogrebennyk ]
  * [1d9e639] MT#9643 upstream fix tm: safety catch inside t_check_trans()

  [ Victor Seva ]
  * [94c2ced] MT#10303 usrloc: fix db_update_addr and db_delete_ucontact_addr
  * [cce8bdd] MT#9257 add new radius lib as an alternative for jessie build
  * [3078f99] MT#9257 Use proper radius lib depending on the lib installed

  [ Alexander Lutay ]
  * [3a7f83b] MT#10383 Kamailio.init new action check-config and stop checking config on start

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 07 Jan 2015 21:25:42 +0100

ngcp-kamailio (4.1.6-1+0~mr3.7.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [3421de3] MT#9561 upstream fixes from 4.1 branch
  * [59ae20b] MT#6243 fix multipart append_body_part function

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 30 Oct 2014 17:19:16 +0100

ngcp-kamailio (4.1.6-1+0~mr3.6.0.0) unstable; urgency=low

  [ Richard Fuchs ]
  * [183e61f] add rtpengine set wrapper for $rtpstat
  * [2ae58ef] adapt $rtpstat to new dictionary layout

  [ Victor Seva ]
  * [81596a1] MT#8517 MT#9205 remove force-dbflag patch for lookup
  * [16f9b2c] MT#9205 nathelper: add filter_socket option
  * [ee1aa68] MT#9205 usrloc: use db ro if socket_filter option
  * [a6dd6f2] MT#6981 dialplan: remove error when no rules are loaded
  * [6a42bc7] MT#7505 Add .gitreview file
  * [193d427] MT#7505 ignore .gitreview file
  * [331e683] MT#9425 init: set umask and perms

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2014 16:30:42 +0200

ngcp-kamailio (4.1.6-1+0~mr3.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [5e0cd04] first attempt at double-offer/answer feature
  * [582fcee] implement db_postgres query timeout
  * [07de801] implement db_postgres connection timeout
  * [98b39e0] compile fix
  * [9e2b7ef] configurable tcp keepalive interval
  * [4b7b518] add freeform direction= flag to rtpengine module
  * [25eb694] typo fix
  * [1b3ab9a] fix rtpengine "direction" flag

  [ Victor Seva ]
  * [b94e0be] MT#8517 add lookup force dbflag
  * [fe7f161] MT#8699 fix debugger.reset_msgid
  * [cb09151] MT#8699 fix fe7f161d1
  * [000b0cc] MT#8517 add lookup force dbflag. fix b94e0be011e
  * [d49b83b] refresh patches
  * [6fd2698] MT#8741 remove init links tricks
  * [ae2fb05] Add upstream bugfixes from 4.1 branch
  * [3ac0dec] MT#8741 follow 6fd2698ff9. Remove dh_installinit -n option
  * [1a6523a] MT#8797 backport upstream patches to deal with double record route
  * [eb59d01] Imported Upstream version 4.1.6
  * [b5805c2] MT#9189 remove already applied upstream fixes

  [ Alexander Lutay ]
  * [b9d539b] MT#6485 Remove 'set -e' which fails inactive->active switch

 -- Victor Seva <vseva@sipwise.com>  Tue, 23 Sep 2014 15:10:41 +0200

ngcp-kamailio (4.1.5-1+0~mr3.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [0790281] Imported Upstream version 4.1.4
  * [acc54fb] Imported Upstream version 4.1.5

  [ Richard Fuchs ]
  * [2c6f8ca] MT#7995 lcr_rate: ignore peers without valid fees

 -- Victor Seva <vseva@sipwise.com>  Thu, 07 Aug 2014 13:19:56 +0200

ngcp-kamailio (4.1.4-1+0~mr3.5.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [d041b0f] MT#7503 remove old upstream patches. Add new upstream patches. Use gcj-jdk.
  * [fdf507d] MT#6485 sync init.d scripts from templates.
  * [d3001c9] MT#6485 add container check at init script
  * [084fe88] MT#7771 dialplan: match and subst with $(avp(s:xxxx)[*]) at rules
  * [98500b3] MT#6981 dialplan: fix initial load of pv rules.

  [ Richard Fuchs ]
  * [368eee5] update rtpengine to kamailio master
  * [13e6ae6] add TOS= parameter
  * [f6cf938] update rtpengine bencode.h from kamailio master

  [ Andrew Pogrebennyk ]
  * [2ff07db] MT#7059 allow t_is_failure_route() call from branch route.

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Jul 2014 15:24:58 +0200

ngcp-kamailio (4.1.4-1+0~mr3.4.0.0) unstable; urgency=medium

  * [b16fed8] MT#7503 Imported Upstream version 4.1.4
  * [01b6608] MT#7503 update upstream patches

 -- Victor Seva <vseva@sipwise.com>  Sat, 14 Jun 2014 17:06:13 +0200

ngcp-kamailio (4.1.3-1+0~mr3.4.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [b1f7459] MT#5301 add pkg-config Build-Depends
  * [7a4867d] MT#6981 allow regex rules with pv in match and subst in dialplan.
  * [2d9527c] add upstream fixes
  * [da86e77] MT#6243 add multipart body functions

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 May 2014 15:43:29 +0200

ngcp-kamailio (4.1.3-1+0~mr3.3) unstable; urgency=medium

  [ Richard Fuchs ]
  * [91684d2] remove obsolete patch files
  * [58fdf93] adding rtpengine module
  * [c825170] include rtpengine patch in series
  * [4720727] silence compiler warning
  * [80a2bf4] update rtpengine to kamailio master version
  * [fb9bf4e] update rtpengine to kamailio master
  * [38ba489] rtpengine: fix inconsistent function naming

  [ Victor Seva ]
  * [57ce175] MT#6345 create tcap module package
  * [6da9f1e] MT#6517 unify Debian Packaging
  * [579e6dd] Imported Upstream version 4.1.3

  [ Michael Prokop ]
  * [e719525] MT#6511 Bump Standards-Version to 3.9.5

 -- Victor Seva <vseva@sipwise.com>  Thu, 01 May 2014 00:00:06 +0200

ngcp-kamailio (4.1.2-1+0~mr3.3) unstable; urgency=medium

  * [201877e] MT#5301 add upstream fixes
  * [b11a51d] MT#5891 wrap-and-sort
  * [65a2db4] MT#5891 fix lintian warnings
  * [969e067] Imported Upstream version 4.1.2
  * [3b29201] fix merge
  * [05ce704] MT#6219 remove upstream applied patches. Refresh patches.
  * [e94a4b3] MT#6219 fix java build process

 -- Victor Seva <vseva@sipwise.com>  Tue, 11 Mar 2014 13:43:16 +0100

ngcp-kamailio (4.1.1-1+0~mr3.3) unstable; urgency=low

  [ Victor Seva ]
  * [b9ee1b0] MT#5301 Imported Upstream version 4.1.0
  * [c99d19e] MT#5301 remove upstream applied patches and refresh the rest
  * [e08ab8c] MT#5301 Add upstream patches
  * [9c55b20] MT#5301 refresh lcr_rate_module.patch
  * [94e2840] MT#5301 Add missing debug patch not applied upstream.
  * [4ee1c6a] MT#5301 fix error when upgrading from 4.0.X.
  * [53988d3] MT#5301 add upstream patches
  * [e69d588] MT#5301 Add upstream bug fixes
  * [549b84e] MT#5369 allow pvars in acc functions first parameter
  * [9f52bf0] MT#5301 Add upstream fixes
  * [506d1d4] MT#5565 add upstream fix for usrloc db sync
  * [f8874a8] MT#5301 Merge upstream 4.1.1 changes
  * [58e93da] MT#5301 remove applied upstream patches

  [ Richard Fuchs ]
  * [4ec3f9d] totally stubby tcap module
  * [d64a8ec] breaking kamailio build by adding tcap to build modules
  * [73b025b] adding libtcap-dev to build depends
  * [8d7ad93] dont modify control file in quilt patch
  * [2801b67] add libtcap to control file
  * [19f4aeb] add libtcap to control file
  * [91e1d04] some rudimentary tcap function
  * [cc99c17] try a different fixup function
  * [56a4e99] adding error logging
  * [834b41a] wrong error message
  * [6e74963] try different method of setting return avp
  * [cc4984a] implement inap_extract
  * [0e4fdd2] adding isup_decode_number function
  * [367843f] fix  hex decoding
  * [136eea0] less redundant error messages
  * [872e952] fix  hex decoding
  * [1ae44ee] use new isup_convert_number from libtcap
  * [d1893f3] add strip_trailing_crlf option to tcap

  [ Sipwise Jenkins Builder ]
  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sat, 01 Feb 2014 19:44:02 +0100

ngcp-kamailio (4.0.4-3) unstable; urgency=low

  * [14dbee8] MT#4143 Add upstream ursloc fix

 -- Victor Seva <vseva@sipwise.com>  Tue, 12 Nov 2013 13:54:42 +0100

ngcp-kamailio (4.0.4-2) unstable; urgency=low

  * [fa78bc4] MT#4143 Add upstream patches

 -- Victor Seva <vseva@sipwise.com>  Mon, 04 Nov 2013 11:23:14 +0100

ngcp-kamailio (4.0.4-1) unstable; urgency=low

  [ Victor Seva ]
  * [11dfa8b] New upstream version
  * [fee2de5] debian/patches:
    - remove patches applied upstream
    - refresh patches
  * [b4cfc43] lcr_rate needs mysql

  [ Andrew Pogrebennyk ]
  * [836c134] MT#4483 Adopt upstream patch for milliseconds precision in acc

 -- Victor Seva <vseva@sipwise.com>  Mon, 28 Oct 2013 10:38:55 +0100

ngcp-kamailio (4.0.3-5) unstable; urgency=low

  * [8478f88] MT#4637 add the patch merged upstream by Richard. (cherry picked from commit 6e3fdbef2d5e6b561bddaaf749faf48acd0ac0fe)

 -- Victor Seva <vseva@sipwise.com>  Fri, 25 Oct 2013 11:48:27 +0200

ngcp-kamailio (4.0.3-4) unstable; urgency=low

  [ Victor Seva ]
  * [c4d0a11] Add patches from upstream to fix #3837

 -- Victor Seva <vseva@sipwise.com>  Fri, 20 Sep 2013 11:26:06 +0200

ngcp-kamailio (4.0.3-3) unstable; urgency=low

  [ Victor Seva ]
  * [93233e1] Add patches from upstream for app_lua sr.xavp.get function
  * [bd57b58] remove unused patch

 -- Victor Seva <vseva@sipwise.com>  Tue, 17 Sep 2013 16:41:05 +0200

ngcp-kamailio (4.0.3-2) unstable; urgency=low

  [ Victor Seva ]
  * [442c46a] fix get_redirects core dump ( Closes: FS#337 ) (cherry picked from commit f15dbc9b1a97a68a2227d2b58484ff9a65e8c1c3)
  * [385bfc3] uac_redirect patch merged upstream. Will be included on next 4.0 series (cherry picked from commit 9fabbf154aa7679edb0536a812621baae5087e93)

  [ Richard Fuchs ]
  * [c8d7ab8] fix possible segfault in rtpproxy-ng (cherry picked from commit 8098f4bfdf573032f79374d3d4b231920517257c)

 -- Victor Seva <vseva@sipwise.com>  Tue, 10 Sep 2013 12:49:51 +0200

ngcp-kamailio (4.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Victor Seva <vseva@sipwise.com>  Fri, 16 Aug 2013 10:13:03 +0200

ngcp-kamailio (4.0.2-2) unstable; urgency=low

  [ Victor Seva ]
  * Added output trace patch. Just for testing.
  * try websocket PROTO in forward
  * websocket patch applied upstream. Refresh and renamed.
  * add sqlite3 Recommends on sqlite-modules
  * Add upstream fix for natping_process limit. (FS#321)
  * Added upstream fix for uac_replace_from FS#323

  [ Richard Fuchs ]
  * update rtpproxy-ng docs
  * remove obsolete files
  * implement $rtpstat and document start_recording()
  * remove obsolete code
  * implement second parameter to rtpproxy_offer/answer/manage
  * adding untested url-safe_base64.patch
  * adding "transport-protocol" selection support to rtpproxy-ng
  * adding gitignore for .pc
  * autover.h is auto-generated

  [ Andrew Pogrebennyk ]
  * update changelog

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 07 Aug 2013 11:31:01 +0200

ngcp-kamailio (4.0.2-1) unstable; urgency=low

  * Upstream new version.
  * Use Debian packaging as base.
    All sipwise changes as quilt patches.
  * Rename to ngcp-kamailio*

 -- Victor Seva <vseva@sipwise.com>  Thu, 13 Jun 2013 14:44:17 +0200

kamailio (3.3+ngcp2.8.0) unstable; urgency=low

  * Include rtpproxy-ng module
  * Support parallel building
  * Debian build fixes
  * Include natping_disable_bflag
  * Include presence_dialoginfo_notify.patch
  * Support pvars in rtpproxy
  * Add second parameter to add_path*() and support pvars
  * Update lcr_rate to support a/b rating

 -- Richard Fuchs <rfuchs@sipwise.com>  Wed, 27 Mar 2013 08:49:17 -0400

kamailio (3.3+ngcp2.7.2) unstable; urgency=low

  [ Richard Fuchs ]
  * Introduce sipping_disable_bflag option

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Thu, 07 Feb 2013 12:56:41 +0100

kamailio (3.3+ngcp2.7.1) unstable; urgency=low

  * Fix possible segfault in pv module
  * Create nathelper option to always use contact address

 -- Richard Fuchs <rfuchs@sipwise.com>  Wed, 09 Jan 2013 12:40:43 -0500

kamailio (3.3+ngcp2.7.0) unstable; urgency=low

  * Implement lcr cost-based routing as new lcr_rate module
  * move send() and send_tcp() from core to corex module. EXPERIMENTAL!
  * backporting corex module from kamailio trunk including all changes to append_branch()
  * Fix hunting for Auth header in rare cases in digest parser.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Fri, 21 Dec 2012 10:59:56 +0100

kamailio (3.3+ngcp2.6.12) unstable; urgency=low

  * Don't stop after first Authorization header if all message is already parsed in find_credentials.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Sun, 16 Dec 2012 18:21:47 +0100

kamailio (3.3+ngcp2.6.10) unstable; urgency=low

  * Fix bag tagging.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 26 Nov 2012 12:38:23 +0100

kamailio (3.3+ngcp2.6.9) unstable; urgency=low

  [ Jon Bonilla ]
  * Merge with upstream 3.3.2

  [ Richard Fuchs ]
  * Fix a mem leak in siputils module

 -- Jon Bonilla <jbonilla@sipwise.com>  Thu, 08 Nov 2012 17:42:19 +0100

kamailio (3.3+ngcp2.6.8) unstable; urgency=low

  * merge [f5997ba] b/f: In case of IPv6 Option in the RTP-Command, the pointers and the length need to be updated.
  * attempt to work around the modules/ctl message chunk limitation

 -- Richard Fuchs <rfuchs@sipwise.com>  Thu, 20 Sep 2012 11:30:41 -0400

kamailio (3.3+ngcp2.6.7) unstable; urgency=low

  * Fix segfault caused by invalid SDP bodies

 -- Richard Fuchs <rfuchs@sipwise.com>  Tue, 04 Sep 2012 17:14:56 -0400

kamailio (3.3+ngcp2.6.6) unstable; urgency=low

  [ Richard Fuchs ]
  * Fix a= lines inserted out of order

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 29 Aug 2012 22:51:01 +0200

kamailio (3.3+ngcp2.6.5) unstable; urgency=low

  [ Michael Prokop ]
  * kamailio.postinst: postinst: do not exit if update-rc.d does not work

  [ jbonilla ]
  * kamailio.postinst: Remove debhelper mark fomr postinst script
  * rules: disable dh_installdebconf

 -- Jon Bonilla <jbonilla@sipwise.com>  Wed, 29 Aug 2012 10:30:35 +0200

kamailio (3.3+ngcp2.6.4) unstable; urgency=low

  * Conflict with ngcp-system-tools-* packages.
  * Depend on mysql for correct insserv.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Tue, 28 Aug 2012 10:42:53 +0200

kamailio (3.3+ngcp2.6.3) unstable; urgency=low

  * Fix init script and default file handling 

 -- Jon Bonilla <jbonilla@sipwise.com>  Mon, 27 Aug 2012 13:15:04 +0200

kamailio (3.3+ngcp2.6.2) unstable; urgency=low

  * Fix bad tagging

 -- Jon Bonilla <jbonilla@sipwise.com>  Thu, 23 Aug 2012 21:51:43 +0200

kamailio (3.3+ngcp2.6.1) unstable; urgency=low

  [ Michael Prokop ]
  * Provide postrm script
  * Provide postinst script, taking care of services restarts in HA mode

  [ jbonilla ]
  * re-add init stuff 

 -- Jon Bonilla <jbonilla@sipwise.com>  Thu, 23 Aug 2012 17:23:00 +0200

kamailio (3.3+ngcp2.6.0) unstable; urgency=low

  [ rfuchs ]
  * Makefile,pcem_logic.c,pcem_logic.h,pcem_mod.c,pcem_mod.h: fix duplicated content in files screwup
  * lcr_mod.c,regex_mod.c: PCRE_INFO_SIZE requires a size_t argument

  [ Michael Prokop ]
  * wrap and sort items in Debian packaging files

  [ mwang ]
  * subscribe.c: modules_k/rls: Fixed memory leak in rls
  * resource_notify.c: modules_k/rls: Added DB transaction code around rls_presentity insert/replace
  * send_subscribe.c: modules_k/pua: Fixed double-free in pua
  * subscribe.c: modules_k/rls: Fixed memory leak in rls under some error conditions
  * rls.c: modules_k/rls: Fixed incorrect table version check

  [ jbonilla ]
  * Updated to upstream 3.3.1
  * Apply 9211_accounting_time_precision.patch
  * Apply 9231_dialplan_regexp_subst.patch
  * Apply 9233_unforce_rtp_proxy_one_param.patch
  * Apply 9239_forward_port_usrloc.patch
  * Apply 9441_add_pcem_module.patch
  * Apply 9535_no_default_config.patch
  * Create folder of patches to track Sipwise changes
  * notify.c: Merge 25c6efc8d245c339c77748f93c222188769a7be8
  * loose.c: Upstream  8db3e9c29b2cf1ff5c6f93411d3e9a90f7eb82ef
  * Add kamailio-dbg package to packaging

 -- Jon Bonilla <jbonilla@sipwise.com>  Tue, 07 Aug 2012 20:23:56 +0200

kamailio (3.3.0+ngcp0) unstable; urgency=low

  * update to 3.3.0 from upstream

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Fri, 22 Jun 2012 17:42:30 +0200

kamailio (3.1.5+sipwise8) unstable; urgency=low

  [ agranig ]
  * path.c: Use single-quotes instead of double-quotes in received-param.
  * parse_param.c: Also parse single-quoted params correctly.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 04 Jun 2012 18:16:56 +0200

kamailio (3.1.5+sipwise7) unstable; urgency=low

  [rfuchs]
  * Fix logic mistakes in unforce_rtp_proxy1_f.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 25 Apr 2012 17:53:51 +0200

kamailio (3.1.5+sipwise6) unstable; urgency=low

  * Fix 'wday' period matching in tmrec module

 -- Richard Fuchs <rfuchs@sipwise.com>  Mon, 16 Apr 2012 10:22:28 -0400

kamailio (3.1.5+sipwise5) unstable; urgency=low

  [ agranig ]
  * rtpproxy.c,rtpproxy_funcs.c: Also parse via1 branch.
  * rtpproxy.c,rtpproxy_funcs.h: Add unforce_rtp_proxy("param") function.
  * rtpproxy.c: Copy viabranch to iovec for sending it out.
  * rtpproxy.c: More debug for rtpp.
  * rtpproxy.c,rtpproxy_funcs.c,rtpproxy_funcs.h: Differentiate between 'v' (via1) and 'V' (via2) handling.
  * rtpproxy.c: Fix position of viabranch.
  * rtpproxy.c: Remove log message printing via.
  * rtpproxy_funcs.c: Double-check parsed via header.
  * rtpproxy.c,rtpproxy_funcs.c,rtpproxy_funcs.h: Cleanup getting via branch.
  * ul_mi.c: Use Path as 6th param in ul_add.
  * kamctl,kamctl.8,kamctl.ctlbase: Add path handling to kamctl.
  * ul_mi.c,kamctl: Make path 0 if not used, otherwise mi parser bails out if empty.
  * ul_mi.c: Better path detection.
  * ul_mi.c: Fix syntax error.
  * rtpproxy_admin.xml,rtpproxy.c: Change v/V flags to 1/2 and add doc.


  [ apogrebennyk ]
  * redis_client.c: while we are at it allow ndb_redis to reconnect
  * Makefile: enable system malloc instead of pkg_malloc for fifo commands.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 05 Mar 2012 17:15:57 +0100

kamailio (3.1.5+sipwise4) unstable; urgency=low

  * lcr: the lcr module shall support ipv6
  * lcr_mod.c: more required changes for ipv6 support
  * lcr_mod.c: add [] around ipv6 addresses in sip uris
  * lcr_mod.h: add a missing required .h include
  * lcr_mod.c: support ipv6 addresses in [] notation as well
  * lcr_mod.c: remove some ipv6 stuff if source isnt being built with ipv6 support
  * lcr_mod.c: adjust sanity checks for longer ip addresses
  * tmrec: Backport new tmrec module from trunk.
  * tmrec: Add a port of Time::Period
  * tmrec: Use different return values for different cases
  * Makefile: Include tmrec module in builds.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Thu, 26 Jan 2012 14:26:57 +0100

kamailio (3.1.5+sipwise3) unstable; urgency=low

  * Bump version for bad tagging fix

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Fri, 02 Dec 2011 14:16:48 +0100

kamailio (3.1.5+sipwise2) unstable; urgency=low

  * enable milliseconds precision for accounting (kamailio part)
  * fix the usage of avps with string names in dialplan replacement (backport from 3.2.0; bug 453)
  * db_text(k): init new db text table structure to 0
  * Do not consider late requests for dialogs in "deleted"
  * fix ndb_redis connect arguments parsing
  * Update init file lsb headers

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Fri, 02 Dec 2011 14:16:48 +0100

kamailio (3.1.5+sipwise1) unstable; urgency=low

  * Merge with kamailio 3.1.5

 -- Jon Bonilla <jbonilla@sipwise.com>  Tue, 27 Sep 2011 15:31:35 +0200

kamailio (3.1.3+sipwise7) unstable; urgency=low

  * Fix redis module package creation

 -- Jon Bonilla <jbonilla@sipwise.com>  Mon, 26 Sep 2011 15:31:35 +0200

kamailio (3.1.3+sipwise6) unstable; urgency=low

  * Increase PKG_MEM_SIZE to 16 and MAX_BRANCHES to 24.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 20 Sep 2011 15:31:35 +0200

kamailio (3.1.3+sipwise5) unstable; urgency=low

  * Cherry-picked 9dbf735878acc87bab1a0740476f1d106f89412f from
    upstream: core: allow forcing send socket for replies

 -- Andreas Granig <agranig@sipwise.com>  Tue, 20 Sep 2011 13:25:00 +0200

kamailio (3.1.3+sipwise4) unstable; urgency=low

  * Cherry-picked b4fae8b9eee6d893aa2591bcc9039ea53a142161 from
    upstream: rr(k): execute callbacks only for local route uri

 -- Andreas Granig <agranig@sipwise.com>  Wed, 14 Sep 2011 11:40:57 +0200

kamailio (3.1.3+sipwise3) unstable; urgency=low

  * Backported ndb_redis module from 3.2 tree.

 -- Andreas Granig <agranig@sipwise.com>  Fri, 22 Jul 2011 11:28:32 +0200

kamailio (3.1.3+sipwise2) unstable; urgency=low

  * Cherry-picked 16183d4553aca270da1284255f3f6862132a3aeb from
    upstream to fix registrar handling with pjsip-based clients.

 -- Andreas Granig <agranig@sipwise.com>  Wed, 08 Jun 2011 17:53:10 +0200

kamailio (3.1.3+sipwise1) unstable; urgency=low

  * Rebuild from upstream.
  * Change PKG mem pool size to 8M.
  * Suppress debug message regarding "broken replies" to natping requests.

 -- Andreas Granig <agranig@sipwise.com>  Wed, 20 Apr 2011 16:15:29 +0200

kamailio (3.1.1) unstable; urgency=low

  * update to 3.1.1 from upstream

 -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 3 Dec 2010 16:30:00 +0100

kamailio (3.1.0) unstable; urgency=low

  * update to 3.1.0 from upstream

 -- Jon Bonilla <manwe@aholab.ehu.es>  Wed, 6 Oct 2010 17:24:00 +0100

kamailio (3.0.2.99) unstable; urgency=low

  * update to 3.0.2.99 for development version builds

 -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 28 May 2010 22:26:00 +0100

kamailio (3.0.2) unstable; urgency=low

  * update to 3.0.2 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Thu, 27 May 2010 10:27:36 +0100

kamailio (3.0.1) unstable; urgency=low

  * update to 3.0.1 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 08 Mar 2010 20:30:48 +0100

kamailio (3.0.0) unstable; urgency=low

  * update to 3.0.0 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 11 Jan 2010 18:30:42 +0100

kamailio (3.0.0-rc3) unstable; urgency=low

  * update to 3.0.0-rc3 from upstream
  * updated debian/rules to work with the SIP Router style module packaging

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Fri, 10 Dec 2009 12:10:02 +0100

kamailio (3.0.0-rc2) unstable; urgency=low

  * update to 3.0.0-rc2 from upstream
  * updated debian/rules to work with the new style module packaging

 -- Jonas Bergler <jonas.bergler@staff.snap.net.nz>  Wed, 18 Nov 2009 12:30:02 +1300

kamailio (1.5.0-svn1) unstable; urgency=low

  * increment debian packaging for trunk

 -- Henning Westerholt <henning.westerholt@1und1.de>  Mon, 02 Mar 2009 17:40:02 +0100

kamailio (1.4.0-svn1) unstable; urgency=low

  [ Klaus Darilion ]
  * first release of Kamailio (after renaming from Openser)

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Dec 2007 17:25:31 +0100


